summaryrefslogtreecommitdiff
path: root/Platform
diff options
context:
space:
mode:
authorGary Lin <glin@suse.com>2019-06-27 16:00:25 +0800
committerMichael D Kinney <michael.d.kinney@intel.com>2019-07-12 17:25:05 -0700
commit56d0c93a336e78b66d81992aa0cb559ea05a90cb (patch)
tree403841a970bad6f09611256b6c443e053fcac1df /Platform
parentac167b056125ba599f13f94e0cb81b9fefcc17ae (diff)
Vlv2TbltDevicePkg/bld_vlv.sh: Update the gcc version detection
Borrow the logic from OvmfPkg/build.sh Cc: Zailiang Sun <zailiang.sun@intel.com> Cc: Yi Qian <yi.qian@intel.com> Cc: Michael D Kinney <michael.d.kinney@intel.com> Signed-off-by: Gary Lin <glin@suse.com> Reviewed-by: Zailiang Sun <zailiang.sun@intel.com> Reviewed-by: Michael D Kinney <michael.d.kinney@intel.com>
Diffstat (limited to 'Platform')
-rwxr-xr-xPlatform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh19
1 files changed, 13 insertions, 6 deletions
diff --git a/Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh b/Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh
index bca112db..d3120634 100755
--- a/Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh
+++ b/Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh
@@ -170,12 +170,19 @@ sed -i '/^MAX_CONCURRENT_THREAD_NUMBER/d' Conf/target.txt
gcc_version=$(gcc -v 2>&1 | tail -1 | awk '{print $3}')
case $gcc_version in
- 4.9.*|4.1[0-9].*|5.*.*|6.*.*)
- TARGET_TOOLS=GCC49
- ;;
- *)
- TARGET_TOOLS=GCC48
- ;;
+ [1-3].*|4.[0-7].*)
+ echo MNW2 requires GCC4.8 or later
+ exit 1
+ ;;
+ 4.8.*)
+ TARGET_TOOLS=GCC48
+ ;;
+ 4.9.*|6.[0-2].*)
+ TARGET_TOOLS=GCC49
+ ;;
+ *)
+ TARGET_TOOLS=GCC5
+ ;;
esac
ACTIVE_PLATFORM=$PLATFORM_PACKAGE/PlatformPkgGcc"$Arch".dsc